package com.reptileclient.jlifeapp.constant;

public enum HmPayOrderStatusMapConstants {


    /**
     * // 已支付 3
     * // 已派单 4
     * // 已服务 5
     * // 已取消 6
     * // 已关闭 7 无效数据，在支付之前，舍弃
     * // 已完成 9
     */
    PAID(3, "已支付"),
    ASSIGNED(4, "已派单"),
    SERVICED(5, "已服务"),
    CANCELED(6, "已取消"),
    CLOSED(7, "已关闭"),
    COMPLETED(9, "已完成");


    private final int code;

    private final String desc;

    HmPayOrderStatusMapConstants(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public int getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
